<template>
  <div>
    <section class="hero-banner">
      <div class="top-header">
        <div class="sign-in">
          <a href="#">
            <i class="fa fa-arrow-left" aria-hidden="true"></i>
            Sign In
          </a>
        </div>
      </div>
      <div class="hero-logo">
        <div class="container">
          <div class="logo">
            <a href="#">
              <img src="../assets/images/logo.png" alt class="img-responsive">
            </a>
          </div>
        </div>
      </div>
    </section>
    <!--/1. Hero banner section end here -->
    <!--2. Sign in modal start here -->
    <section class="signin-sec">
      <div class="container padding_0">
        <div class="form-block">
          <div class="form-block-title">
            <p>Sign In</p>
          </div>
          <form class="sign-form">
            <div class="form-group coman-form-group msg-icon">
              <input
                type="email"
                class="form-control form-input"
                placeholder="E-Mail Address"
                v-model="email"
              >
            </div>
            <div class="form-group coman-form-group lock-icon">
              <input
                type="password"
                class="form-control form-input"
                placeholder="Password"
                v-model="password"
              >
            </div>
            <div class="form-check form-check-custom">
              <label class="form-check-label" for="exampleCheck1">
                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                <span class="checkmark"></span> Remember me
              </label>
              <div class="forgot_option">
                <a href="#" class="forgot_pwd">Forgot Password?</a>
              </div>
            </div>
            <div class="sign-in-btn">
              <a
                href="#"
                class="btn btn-primary form_coman_lgbtn red-bg"
                @click.prevent="handleLogin()"
              >Sign in</a>
            </div>
            <div class="ac-info">
              <p>Don't have an account?
                <a href="#">Sign Up</a>
              </p>
            </div>
            <hr>
            <div class="other-option">
              <p>Or sign in with</p>
              <div class="sign_action_btn">
                <div class="fb-btn action-block">
                  <button class="btn btn-primary form_coman_lgbtn blue-bg">
                    <i class="fa fa-facebook" aria-hidden="true"></i>
                    Facebook
                  </button>
                </div>
                <div class="google-plus-btn action-block">
                  <button class="btn btn-primary form_coman_lgbtn orange-bg">
                    <i class="fa fa-google-plus" aria-hidden="true"></i>
                    Google +
                  </button>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
const baseurl = "https://biteheist.com/ordering/tx/GoodEatsDEV/index.php?";
import swal from "sweetalert";
import axios from "axios";

export default {
  data() {
    return {
      email: "",
      password: ""
    };
  },
  methods: {
        handleLogin: function() {
          var token = localStorage.getItem("token");
          console.log(token);
          var bodyFormData = new FormData();
          bodyFormData.set("email", this.email);
          bodyFormData.set("password", this.password);

         axios({
            method: "post",
            url: baseurl + "route=rest/login/login",
            headers: {
              "Content-Type": "multipart/form-data",
              Authorization: "Bearer " + token
            },
            data: bodyFormData
          })
            .then(res => {
              console.log("redsf", res);
              if (res.data.success == true) {
                swal("Login successful", '', 'success');
                this.$router.push("/");
                console.log("kiran",this.$store.state.signinout);
                
                this.$store.state.signinout=true
                console.log("kiran456",this.$store.state.signinout);

              } else {
                swal(data.error, '', 'error');
              }
            })
            .catch(err => console.error("err is", err));
        }
  }
};
</script>

<style scoped>
</style>